:root {
    --primary-bg: #000;
    --secondary-bg: #34e0a1;
    --tertiary-bg: #C9F2E3;
    --text-color-white: #fff;
    --text-color-black: #000;
    --text-color-secondary: #34e0a1;
    --cta-main: #fff;
    --cta-secondary: #EFBB40;
    --text-color-primary: #fff;
    --secondary-green: #34e0a1;
    --page-max-width: 1196px;
    --primary-font: "Montserrat", sans-serif;
    --secondary-font: "Jost", sans-serif;
    --body-text-size: 14px;
    --body-text-weight: 400;
    --text-small: 12px;
    --h1-text-size: 44px;
    --h2-text-size: 36px;
    --h3-text-size: 20px;
    --h1-text-size-xs: 2em;
    --h2-text-size-xs: 1.8em;
    --h3-text-size-xs: 1.6em;
    --cta-radius: 32px;
    --cta-transparent: transparent;
    --cta-secondary-bg: #ddd;
    --navbar-text-color: var(--text-color-primary);
    --navbar-text-color-hover: var(--text-color-primary);
    --form-h2-text-size: 36px;
    --form-h2-text-color: #000;
    --form-input-bg: #F2F2F2;
    --form-input-bg-contact: #fff;
    --form-input-text-size-md: 18px;
    --cta-text-color: rgb(34, 34, 34);
    --bullet-text-size: 20px;
    --bullet-text-size-xs: 16px;
}

.logo-wrapper img { width: 80px;}
.logo-wrapper, .logo-wrapper:hover, .logo-wrapper:visited {
    text-decoration: none;
    color: var(--secondary-bg);
    font-size: 1.2em;
}
.logo-wrapper:hover {
    color: var(--text-color-primary);
}

body {
    font-family: var(--primary-font);
    font-size: var(--body-text-size);
    font-weight: var(--body-text-weight);
    color: var(--text-color-primary);
    background-color: var(--primary-bg);
}
a, a:visited, a:link {
    color: var(--text-color-secondary)
}
a:hover { text-decoration: none;}
h1, h2 {
    font-weight: 700;
}
h1 {
    font-size: var(--h1-text-size);
    letter-spacing: 0;
}
h2 {
    font-size: var(--h2-text-size);
    color: var(--secondary-green);
}
h3 {
    font-size: var(--h3-text-size);
    color: var(--text-color-secondary);
}

.top-bar {
    background-color: var(--secondary-bg);
    color: var(--text-color-black);
    min-height: 40px;
    letter-spacing: .5px;
    padding-top: 12px;
    padding-bottom: 12px;
}

.top-bar h3 {
    color: var(--text-color-black);
    font-family: var(--secondary-font);
    font-size: var(--text-small);
    font-weight: 400;
    margin: 0px;
}
.top-bar h3 b {
    font-family: var(--primary-font);
    font-size: var(--body-text-size);
    font-weight: 700;
}
.top-location {
    font-weight: 700;
    display: flex;
    justify-content: flex-end;
}
.top-location .btn-marker, .top-location .btn-marker:hover, .top-location .btn-marker:visited {
    display: flex;
    margin-right: 60px;
    color: var(--text-color-white);
    text-decoration: none;
    line-height: 2;
    padding-top: 6px;
}

.top-location .btn-cta, .top-location .btn-cta:hover, .top-location .btn-cta:visited {
    padding: 6px;
    height: 30px;
    color: var(--text-color-primary);
}

.wl-icons {
    background-image: url(../img/icons.png);
    background-repeat: no-repeat;
    display: inline-block;
}
.wl-icon-map {
    width: 30px;
    height: 30px;
    background-position: -41px 0;
    margin-right: 12px;
}
.wl-icon-phone {
    width: 30px;
    height: 30px;
    background-position: -73px 0;
    margin-right: 12px;
}
.wl-icon-success {
    width: 40px;
    height: 40px;
    background-position: 0 0;
    margin-right: 20px;
}

.page-with-bg {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: var(--text-color-white);
}

.page-wrapper {
    margin: auto;
    max-width: var(--page-max-width);
}
.page-content {
    padding: 20px 0 50px 0;
}

.page-footer {
    border-top: solid 1px var(--secondary-bg);
    margin: 30px auto;
}

.btn-cta, .btn-cta:hover, .btn-cta:visited {
    display: inline-block;
    line-height: 1;
    border-radius: var(--cta-radius);
    text-decoration: none;
    padding: 22px 24px;
}

.btn-cta-secondary, .btn-cta-secondary:hover, .btn-cta-secondary:visited {
    background-color: var(--secondary-green);
    line-height: 1;
    color: var(--cta-text-color);
}
.btn-cta-primary, .btn-cta-secondary {
    line-height: 1;
    font-weight: 700;
    margin-right: 20px;
    color: var(--text-color-black) !important;
}
.btn-cta-primary, .btn-cta-primary:hover, .btn-cta-primary:visited {
    background-color: var(--cta-main);
    color: var(--text-color-black);
}
.btn-cta-primary:hover { opacity: 75%; }

.btn-cta-back, .btn-cta-back:link, .btn-cta-back:hover, .btn-cta-back:visited {
    background-color: var( --cta-secondary-bg);
    color: var(--text-color-black);
    font-weight: 700;
    margin-right: 5px;
}
.btn-link, .btn-link:hover, .btn-link:visited, .btn-link:link {
    color: var(--cta-text-color) !important;
    font-size: var(--h2-text-size) !important;
    line-height: 1;
    padding: 5px;
}

.wl-main-menu {
    list-style: none;
    margin: 0px;
    padding: 0px;
    display: inline-block;
    text-align: right;
}
.wl-main-menu li {
    display: inline-block;
    margin: 0 18px;
}

.wl-main-menu a, .wl-main-menu a:hover, .wl-main-menu a:visited {
    color: var(--navbar-text-color);
    text-decoration: none;
    font-weight: 700;
    display: inline-block;
    padding: 5px 0 3px 0;
    line-height: 1.5;
    border-bottom: solid 1px var(--primary-bg);
}
.wl-main-menu a:hover {
    color: var(--navbar-text-color-hover);
    border-bottom: solid 1px var(--secondary-bg);
    line-height: 1.5;
}
.navbar-wrapper .btn-cta-primary {
    margin-right: 0px;
}

.navbar-wrapper {
    min-height: 115px;
    letter-spacing: .5px;
}
.navbar {
    justify-content: end;
}
.navbar .btn-cta-primary {
    margin-left: 20px;
}
.navbar-bars, #menu-close {
    display: none;
}
.navbar-bars .btn-open, .navbar-bars .btn-open:hover, .navbar-bars .btn-open:visited {
    font-size: 2em;
    color: var(--text-color-primary);
    padding: 3px 5px;
    display: inline-block;
    border: solid 2px var(--text-color-primary);
    line-height: 1;
    border-radius: var(--cta-radius);
    cursor: pointer;
}
.current-menu-item a {
    border-bottom: solid 1px var(--secondary-bg) !important;
}

.navbar-mobile-wrapper {
    max-width: 40vw;
    margin: auto;
    text-align: left;
}

.navbar-mobile {
    position: absolute;
    left: 0;
    right: 0;
    background-color: var(--primary-bg);
    padding: 20px;
    display: none;
}
.navbar-mobile .wl-main-menu {
    position: relative;
    width: 100%;
    text-align: left;
}
.navbar-mobile .wl-main-menu li {
    display: block;
    margin-bottom: 20px;
    margin-right: 0;
}
.navbar-mobile .wl-main-menu li a, .navbar-mobile .wl-main-menu li a:hover, .navbar-mobile .wl-main-menu li a:visited {
    color: var(--text-color-white);
    width: 100%;
}

.page-hero {
    min-height: 75vh;
}
.page-hero .content, 
.page-hero-generic .content {
    max-width: 690px;
}
.page-hero-generic {
    min-height: 40vh;
}

.footerWrapper {
    height: 40px;
    padding: 20px 0;
}

.wl-form {
    max-width: 720px;
    border-radius: 24px;
}
.wl-form-contact {
    /* border-top: solid 1px var(--primary-bg);
    border-bottom: solid 1px var(--primary-bg);
    border: solid 1px var(--primary-bg); */
    padding: 20px 20px;
    border-radius: 5px;
    background-color: #eee;
    color: var(--text-color-black);
}
.wl-form .modal-content {
    border-radius: 24px;
    color: var(--text-color-black);
}
.wl-form .modal-header,
.wl-form .modal-footer {
    border: none;
}
.wl-form .modal-body {
    padding: 0px 30px 10px 30px;
}
.wl-form h2 {
    font-size: var(--form-h2-text-size);
    color: var(--form-h2-text-size);
    margin-bottom: 15px;
}
.wl-form p {
    margin: 0 0 10px 0;
    padding-bottom: 10px;
}
.wl-form input[type="text"],
.wl-form input[type="email"],
.wl-form input[type="tel"],
.wl-form select,
.wl-form textarea {
    background-color: var(--form-input-bg);
    border-radius: 6px;
    display: block;
    width: 90%;
    margin: 5px 0 5px 0;
    border: none;
    outline-offset: 0;
    font-family: var(--secondary-font);
    font-size: 1.2em;
    padding: 8px 12px;
    line-height: 1;
}
.wl-form textarea {
    height: 50px;
    background-color: var(--form-input-bg);
    resize: none;
}
.wl-form .progress-wrapper {
    width: 90%;
    margin: 50px 0 20px 0;
}
.wl-form .progress {
    height: 2px;
    background-color: var(--form-input-bg);
    width: 100%;
    position: relative;
    top: -8px;
    z-index: 10;
}
.wl-form .progress-markers {
    display: flex;
    justify-content:space-between;
    width: 100%;
}
.wl-form .progress-marker, .wl-form .progress-marker-on {
    width: 16px;
    height: 16px;
    border-radius: 8px;
    position: relative;
    z-index: 11;
    display: inline-block;
}
.wl-form .progress-marker {
    background-color: var(--form-input-bg);
}
.wl-form .progress-marker-on {
    background-color: var(--secondary-green);
}
.wl-form-thanks {
    display: inline-flex;
}
.wl-form-thanks h3 {
    font-size: var(--h3-text-size);
    font-weight: 600;
    display: block;
}
.wl-form .step { display: none; }
.wl-form .step-show { display: inline-block; }
.wl-form .step-row {
    vertical-align: top;
}
.wl-form .step-row p {
    width: 46%;
    display: inline-block;
    margin-right: 10px;
    vertical-align: top;
    margin-bottom: 10px;
}
.wl-form-contact input[type="text"],
.wl-form-contact input[type="email"],
.wl-form-contact input[type="tel"],
.wl-form-contact select,
.wl-form-contact textarea {
    background-color: var(--form-input-bg-contact);
}

.modal-header {
    display: inline-block;
    text-align: right;
    padding-bottom: 0px;
}
.modal-header .btn {
    color: var(--text-color-primary);
    font-size: 1.5em;
}

.appBullet {
    margin: 20px 0;
}
.appBullet img {
    width: 20vw;
    padding: 5px;
    border-radius: 20px;
    margin-bottom: 10px;
}
.appBullet h3 {
    text-align: center;
}

.bulletSupport {
    line-height: 1.2;
    min-height: 250px;
}
.bulletSupport img {
    width: 100%;
    border: solid 1px var(--secondary-bg);
    /* box-shadow: 2px 2px var(--secondary-bg);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.5); */
    padding: 0px;
    /* padding: 1px; */
    /* background-color: var(--secondary-bg); */
    border-radius: 10px;
    border: none;
    
}
.bulletSupportWithImg {
    min-height: auto;
    margin-bottom: 0px;
}
.bulletSupport h3 {
    color: var(--text-color-black);
    font-size: var(--h1-text-size);
    font-weight: 700;
    text-align: left;
    margin-bottom: 25px;
}
.bulletSupport p { font-size: var(--bullet-text-size); }

.bulletWrapper, .bulletPurple, .bulletWhite, .bulletGray {
    background-color: var(--tertiary-bg);
    padding: 20px;
    color: var(--text-color-black);
    border-radius: 10px;
}
.bulletPurple { background-color: #F4EFFA; }
.bulletWhite { background-color: #fff; }
.bulletGray { background-color: #F2F1ED; }

.cta-quick-actions {
    position: fixed;
    right: 10px;
    bottom: 20px;
}
.btn-cta-whatsapp, .btn-cta-whatsapp:link, .btn-cta-whatsapp:visited, .btn-cta-whatsapp:hover {
    background-color: #25D366;
    font-size: var(--h1-text-size);
    text-decoration: none;
    color: #fff;
    width: 70px;
    height: 70px;
    border-radius: 35px;
    text-align: center;
    display: inline-block;
    line-height: 70px;
    box-shadow: 5px 5px 15px #888888;
}

/* media queries */
@media screen and (max-height: 700px) {
  .page-hero {
    padding-top: 50px;
    padding-bottom: 50px;
  }
}

@media screen and (max-width: 992px) {
    .wl-main-menu li {
        margin: 0 5px;
    }
}

@media screen and (max-width: 870px) {
    .navbar-wrapper { min-height: auto; padding: 10px 0; }
    .logo-wrapper img { width: 10vw;}
    .navbar { display: none; }
    .top-location .btn-marker { margin-right: 30px;}
    .page-hero h1, .page-hero-generic h1 { font-size: var(--h1-text-size-xs); }
    .page-hero h2, .page-hero-generic h2 { font-size: var(--h2-text-size-xs); }
    .page-hero h3, .page-hero-generic h3 { font-size: var(--h3-text-size-xs); }
    .navbar-bars { display: block; }
}
@media screen and (max-width: 765px) {
    .top-deal {text-align: center; }
    .top-location { justify-content: center; margin-top: 10px; }
    .top-bar { padding-top: 9px; padding-bottom: 9px; }
}
@media screen and (max-width: 640px) { 
    .btn-cta, .btn-cta:hover, .btn-cta:visited {
        padding: 12px 14px;
    }
    .wl-form h2 { font-size: var(--h2-text-size-xs); }
    .wl-form input[type="text"],
    .wl-form input[type="email"],
    .wl-form input[type="tel"] {
        font-size: var(--form-input-text-size-md);
        width: 100%;
    }
    .wl-form .progress-wrapper, .wl-form .progress, .wl-form .progress-markers { width: 100%; }
    .page-hero-generic .content { max-width: 95%; }

    .bulletSupport { min-height: 150px;}
    .bulletSupport h3 {
        font-size: var(--h1-text-size-xs);
        margin-bottom: 10px;
    }
    .bulletSupport p { font-size: var(--bullet-text-size-xs); }
    .bulletWrapper { padding: 15px; padding-bottom: 5px; margin-bottom: 0px; }
}
@media screen and (max-width: 576px) { 
    .navbar-mobile-wrapper { max-width: 70vw; }
    .logo-wrapper, .logo-wrapper:hover, .logo-wrapper:visited {
        font-size: 1.1em;
    }
}
@media screen and (max-width: 480px) { 
    .logo-wrapper img { width: 10vw;}
    .navbar-mobile-wrapper { max-width: 90vw; text-align: left; }
    .navbar-mobile .wl-main-menu { text-align: left; }
    .navbar-mobile-wrapper .btn-cta-primary { margin-right: 0;}
    .appBullet img {
        width: 35vw;
        margin-bottom: 30px;
    }
    .bulletSupport img { width: 100%; margin-bottom: 0px; }
    .appBullet {
        text-align: left;
        float: none;
    }
    .bulletContent {
        display: inline-block;
        float: left;
    }
    .bulletContent h3, 
    .bulletContent p {
        display: inline-block;
    }
}